# Get Session Status

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Session Status"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/upload_sessions/{session_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Displays the details of a session. Use this endpoint to check the status of the files in a session or the session
expiration date.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The ID of the session.","in":"path","name":"session_id","required":true,"schema":{"description":"The ID of the session.","format":"uuid","title":"Session Id","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"documentation_url":{"default":"https://docs.cloud.deepset.ai/docs/upload-files","description":"The URL to the documentation of the session.","title":"Session Documentation URL","type":"string"},"expires_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"The time when the session expires.","title":"Session Expires At"},"ingestion_status":{"description":"The status of the ingestion process for this file.","title":"Ingestion status","properties":{"failed_files":{"default":0,"description":"The number of files that failed to be ingested.","title":"Failed files","type":"integer"},"finished_files":{"default":0,"description":"The number of files that were successfully ingested.","title":"Finished files","type":"integer"}},"type":"object"},"session_id":{"description":"Unique identifier of a session.","format":"uuid","title":"Session ID","type":"string"},"status":{"default":"OPEN","description":"The status of the upload session. The status can be 'OPEN' or 'CLOSED'.","title":"Session Status","enum":["OPEN","CLOSED","EXPIRED"],"type":"string"},"write_mode":{"default":"KEEP","description":"Determines how to handle files that already exist. You can KEEP the existing file, OVERWRITE it, or FAIL to ingest if a file with the same name is already in your workspace.","title":"Write Mode","enum":["KEEP","OVERWRITE","FAIL","TEMPORARY"],"type":"string"}},"required":["expires_at","ingestion_status"],"title":"SessionDetail","type":"object"}}},"description":"Your upload sessions."},"404":{"description":"There's no session with the ID '{session_id}' in the workspace. Check if the ID is correct. "},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
